Package org.eclipse.emf.cdo.spi.common.branch

## Interface InternalCDOBranchManager.BranchLoader4

- All Superinterfaces:
    `InternalCDOBranchManager.BranchLoader`, `InternalCDOBranchManager.BranchLoader2`, `InternalCDOBranchManager.BranchLoader3`
  All Known Subinterfaces:
    `CDOSessionProtocol`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`
  Enclosing interface:
    InternalCDOBranchManager

      public static interface InternalCDOBranchManager.BranchLoader4
      extends InternalCDOBranchManager.BranchLoader3

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.11
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `NEW_BRANCH, NEW_LOCAL_BRANCH`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CDOBranchPoint` | `changeTag​(java.util.concurrent.atomic.AtomicInteger modCount, java.lang.String oldName, java.lang.String newName, CDOBranchPoint branchPoint)` |
    `void` | `loadTags​(java.lang.String name, java.util.function.Consumer<InternalCDOBranchManager.BranchLoader.BranchInfo> handler)` |

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

      `createBranch, loadBranch, loadBranches, loadSubBranches`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader2

      `deleteBranch, renameBranch`

    - ### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader3

      `renameBranch`

- - ### Method Detail

    - #### changeTag

          CDOBranchPoint changeTag​(java.util.concurrent.atomic.AtomicInteger modCount,
                                   java.lang.String oldName,
                                   java.lang.String newName,
                                   CDOBranchPoint branchPoint)

    - #### loadTags

          void loadTags​(java.lang.String name,
                        java.util.function.Consumer<InternalCDOBranchManager.BranchLoader.BranchInfo> handler)